/**

    Copyright 2007, 2010 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.im.runtime.jbpm.comboprovider;

import org.eclipse.stp.im.runtime.IComboProviderValues;
import org.eclipse.stp.im.runtime.comboproviders.ComboEntries;

public class SubProcessJBPMComboProvider implements IComboProviderValues {

	private static final String NO_SUBPROCESS_DEFINED = "-- No Subprocess Defined --";

	
	public ComboEntries getComboEntries() {
		ComboEntries subProcessValues = new ComboEntries();
		String[] subprocessess = null;
		
		//TODO: This code was using metadb and should not in spagic3
		/*
		try{
			// Get the variabled from subprocess
			List<String> processList = (List<String>)MetaDBHelper.doExecuteNoTx(new IMetaDBCommand(){

				public Object execute(Session aSession) throws Throwable {
		
					return AuditDBUtils.getAllProcessesForTechnology(aSession, "JBPM-PROCESS");
				}
			});
			
//			System.out.println("process List Size " + processList);
			if (processList.size() > 0){
				subprocessess = new String[processList.size()];
				int i=0;
				for (String nameProcess : processList) {
					subprocessess[i] = nameProcess;
					i++;
				}
			}else{
				subprocessess = new String[1];
				subprocessess[0] = NO_SUBPROCESS_DEFINED;
			}
		
			
		}catch (Throwable t) {
			
			t.printStackTrace();
			subprocessess = new String[1];
			subprocessess[0] = NO_SUBPROCESS_DEFINED;
			
		}
		
		subProcessValues.setLabels(subprocessess);
		subProcessValues.setValues(subprocessess);
		return subProcessValues;
		*/
		
		subprocessess = new String[1];
		subprocessess[0] = NO_SUBPROCESS_DEFINED;
		

	
		subProcessValues.setLabels(subprocessess);
		subProcessValues.setValues(subprocessess);
		return subProcessValues;
	}
	

}
