package org.spagic3.im.out.jbpm.compiled;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.jet.JET2Template;
import org.eclipse.jet.JET2TemplateLoader;
import org.eclipse.jet.JET2TemplateLoaderExtension;

public class _jet_transformation implements JET2TemplateLoader,
        JET2TemplateLoaderExtension {

    private JET2TemplateLoader delegate = null;

    private final static Map pathToTemplateOrdinalMap = new HashMap(7);
    static {
        pathToTemplateOrdinalMap.put("templates/dump.jet", //$NON-NLS-1$
                new Integer(0));
        pathToTemplateOrdinalMap.put("templates/formflex.jet", //$NON-NLS-1$
                new Integer(1));
        pathToTemplateOrdinalMap.put("templates/jbpm.jet", //$NON-NLS-1$
                new Integer(2));
        pathToTemplateOrdinalMap.put("templates/main.jet", //$NON-NLS-1$
                new Integer(3));
        pathToTemplateOrdinalMap.put("templates/timer.jet", //$NON-NLS-1$
                new Integer(4));
        pathToTemplateOrdinalMap.put("templates/transitions.jet", //$NON-NLS-1$
                new Integer(5));
        pathToTemplateOrdinalMap.put("templates/varmap.jet", //$NON-NLS-1$
                new Integer(6));
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jet.JET2TemplateLoader#getTemplate(java.lang.String)
     */
    public JET2Template getTemplate(final String templatePath) {
        final Integer ordinal = (Integer)pathToTemplateOrdinalMap.get(templatePath);
        if(ordinal != null) {
           switch (ordinal.intValue()) {
            case 0: // templates/dump.jet
                return new org.spagic3.im.out.jbpm.compiled._jet_dump();
            case 1: // templates/formflex.jet
                return new org.spagic3.im.out.jbpm.compiled._jet_formflex();
            case 2: // templates/jbpm.jet
                return new org.spagic3.im.out.jbpm.compiled._jet_jbpm();
            case 3: // templates/main.jet
                return new org.spagic3.im.out.jbpm.compiled._jet_main();
            case 4: // templates/timer.jet
                return new org.spagic3.im.out.jbpm.compiled._jet_timer();
            case 5: // templates/transitions.jet
                return new org.spagic3.im.out.jbpm.compiled._jet_transitions();
            case 6: // templates/varmap.jet
                return new org.spagic3.im.out.jbpm.compiled._jet_varmap();
            default:
                break;
            }
        }
        return this.delegate != null ? this.delegate.getTemplate(templatePath) : null;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jet.JET2TemplateLoaderExtension#getDelegateLoader()
     */
    public JET2TemplateLoader getDelegateLoader() {
        return this.delegate;
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * org.eclipse.jet.JET2TemplateLoaderExtension#setDelegateLoader(org.eclipse
     * .jet.JET2TemplateLoader)
     */
    public void setDelegateLoader(final JET2TemplateLoader loader) {
        this.delegate = loader;
    }
}
