package org.spagic3.im.out.wsdl.utils;

/**
 * FileMemoryMapperException, una classe utility per far emergere le eccezioni
 * dai metodi di FileMemoryMapper
 *
 *
 * Created: Thu Oct  4 10:46:15 2007
 *
 * @author <a href="mailto:saint@eng.it">Gian Uberto Lauri</a>
 * @version $Revision: 1.1 $
 */
public class FileMemoryMapperException extends Exception {

	private static final long serialVersionUID = 234553699973551864L;
	/**
	 * Crea una nuova istanza di <code>FileMemoryMapperException</code> .
	 *
	 */
	private int code;
	/**
	 * Crea una nuova istanza di <code>FileMemoryMapperException</code> .
	 *
	 * @param t a <code>Throwable</code> Throwable causa dei guai
	 * @param code an <code>int</code> codice numerico dell'errore
	 */
	public FileMemoryMapperException(Throwable t, int code) {
		super(t);
		this.code = code;
	}
	/**
	 * <code>getCode</code> ritorna il codice numerico dell'errore
	 *
	 * @return an <code>int</code> 
	 */
	public int getCode() {
		return code;
	}

}
