/**

    Copyright 2007, 2010 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic3.ui.metadataeditor.model;

import java.util.ArrayList;
import java.util.List;

public class TableDefinition extends NamedModelPart {

	private List<ColumnDefinition> columns = new ArrayList<ColumnDefinition>();

	public boolean addColumn(ColumnDefinition e) {
		e.setModel(getModel());
		e.setParent(this);
		return columns.add(e);
	}

	public boolean removeColumn(ColumnDefinition o) {
		o.setModel(null);
		o.setParent(null);
		return columns.remove(o);
	}
	

	public ColumnDefinition[] getColumns() {
		return columns.toArray(new ColumnDefinition[0]);
	}
	
}
