/**

    Copyright 2007, 2010 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic3.ui.wizards.bpmn;

import java.io.InputStream;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.stp.bpmn.diagram.part.BpmnCreationWizardPage;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWindow;
 

public class SpagicBPMNCreationWizardPage extends BpmnCreationWizardPage {
	

		public SpagicBPMNCreationWizardPage(IWorkbench workbench,
	            IStructuredSelection selection) {
	       super(workbench, selection);
	    }
	 
	    public IFile createAndOpenDiagram(IPath containerPath, String fileName,
	            InputStream initialContents, String kind, IWorkbenchWindow dWindow,
	            IProgressMonitor progressMonitor, boolean saveDiagram) {
	        
	    	setupBpmnValidationBuildableNature(containerPath);
	        
	        return SpagicBPMNEditorUtil.createAndOpenDiagram(
	                getDiagramFileCreator(), containerPath, fileName,
	                initialContents, kind, dWindow, progressMonitor,
	                isOpenNewlyCreatedDiagramEditor(), saveDiagram);
	    }
}
