package org.spagic3.utils.filter;

import org.eclipse.core.internal.resources.File;
import org.eclipse.core.runtime.IAdapterFactory;
import org.eclipse.ui.IActionFilter;

public class MenuFilterFactory implements IAdapterFactory {

	public Object getAdapter(Object adaptableObject, Class adapterType) {
		if(adapterType == IActionFilter.class){
			if(adaptableObject instanceof File){
				File file = (File)adaptableObject;
				String ext = file.getFileExtension();
				if("bpmn".equalsIgnoreCase(ext))
					return MenuFilter.getInstance();
				else
					return null;
			}
		}			
		return null;

	}

	public Class[] getAdapterList() {
		return new Class[] {IActionFilter.class};
	}

}
