package org.spagic3.bpel.externalserviceextension.ui.commands;

import org.eclipse.bpel.ui.commands.SetCommand;
import org.eclipse.emf.ecore.EObject;
import org.spagic3.bpel.externalserviceextension.model.ExternalServiceActivity;

public class SetInputVariableCommand extends SetCommand {
	public String getDefaultLabel() { return "Input Change"; }

	public SetInputVariableCommand(EObject target, String newInput)  {
		super(target, newInput);
	}

	@Override
	public Object get() {
		return ((ExternalServiceActivity)fTarget).getInput();
	}
	@Override
	public void set(Object o) {
		((ExternalServiceActivity)fTarget).setInput((String)o);
	}
}
