package org.spagic3.bpmn.diagram;

import org.eclipse.gef.ui.palette.PaletteViewerProvider;
import org.eclipse.stp.bpmn.diagram.part.BpmnDiagramEditor;
import org.eclipse.stp.bpmn.palette.BpmnPaletteViewer;

public class SpagicBpmnDiagramEditor extends BpmnDiagramEditor {
    /** The editor ID */
    public static final String ID = "org.spagic3.bpmn.diagram.SpagicBpmnDiagramEditor";

    /**
     * plug our own custom palette viewer.
     */
    @Override
    protected PaletteViewerProvider createPaletteViewerProvider() {
        
            getEditDomain().setPaletteRoot(createPaletteRoot(null));
            PaletteViewerProvider pvProv =  BpmnPaletteViewer.getBpmnPaletteViewerProvider(getEditDomain());
            return pvProv;
    }
}
