package org.spagic3.im.in.bpel.test;
/**

    Copyright 2007, 2010 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axiom.om.OMNamespace;
import org.apache.axis2.AxisFault;
import org.apache.ode.axis2.service.ServiceClientUtil;
import org.apache.ode.utils.Namespaces;


public class TestResumeProcess {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		OMFactory _factory = OMAbstractFactory.getOMFactory();
        ServiceClientUtil client = new ServiceClientUtil();
        OMNamespace depns = _factory.createOMNamespace(Namespaces.ODE_PMAPI_NS, "pmapi");
        OMElement root = _factory.createOMElement("resume", depns);
        OMElement iid = _factory.createOMElement("input", depns);
        iid.setText("27");
        root.addChild(iid);
        try {
        	client.send(root, "http://localhost:8080/ode/processes/InstanceManagement");
        } catch(AxisFault af){
        	af.printStackTrace();
        }
	}

}
