package org.spagic3.im.out.jbpm.compiled;

import org.eclipse.jet.JET2Context;
import org.eclipse.jet.JET2Template;
import org.eclipse.jet.JET2Writer;
import org.eclipse.jet.taglib.RuntimeTagElement;
import org.eclipse.jet.taglib.TagInfo;
import org.eclipse.emf.ecore.*;
import org.eclipse.emf.ecore.resource.*;
import org.eclipse.stp.im.*;
import org.eclipse.stp.im.impl.*;
import org.eclipse.stp.im.constants.*;
import org.eclipse.core.resources.IFile;
import org.eclipse.emf.common.util.EMap;
import java.util.*;
import org.spagic3.utils.*;
import org.spagic3.im.out.jbpm.utils.*;

public class _jet_main implements JET2Template {
    private static final String _jetns_ws = "org.eclipse.jet.workspaceTags"; //$NON-NLS-1$

    public _jet_main() {
        super();
    }

    private static final String NL = System.getProperty("line.separator"); //$NON-NLS-1$
    
    private static final TagInfo _td_ws_folder_68_3 = new TagInfo("ws:folder", //$NON-NLS-1$
            68, 3,
            new String[] {
                "path", //$NON-NLS-1$
            },
            new String[] {
                "{$org.eclipse.jet.resource.project.name}/Deployables", //$NON-NLS-1$
            } );
    private static final TagInfo _td_ws_file_69_4 = new TagInfo("ws:file", //$NON-NLS-1$
            69, 4,
            new String[] {
                "template", //$NON-NLS-1$
                "path", //$NON-NLS-1$
            },
            new String[] {
                "templates/jbpm.jet", //$NON-NLS-1$
                "{$imFileName}.jpdl", //$NON-NLS-1$
            } );

    public void generate(final JET2Context context, final JET2Writer __out) {
        JET2Writer out = __out;
        //
        //
        //    Copyright 2007, 2008 Engineering Ingegneria Informatica S.p.A.
        //
        //    This file is part of Spagic.
        //
        //    Spagic is free software; you can redistribute it and/or modify
        //    it under the terms of the GNU Lesser General Public License as published by
        //    the Free Software Foundation; either version 3 of the License, or
        //    any later version.
        //
        //    Spagic is distributed in the hope that it will be useful,
        //    but WITHOUT ANY WARRANTY; without even the implied warranty of
        //    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        //    GNU Lesser General Public License for more details.
        //
        //    You should have received a copy of the GNU Lesser General Public License
        //    along with this program.  If not, see <http://www.gnu.org/licenses/>.
        //    
        out.write("\t\t\t\t");  //$NON-NLS-1$        
        out.write(NL);         
        out.write(NL);         
 	
	System.out.println(" JBPM Generation ->  Entering in main.jet");
	

	Resource res = (Resource)context.getSource();
	StpIntermediateModel stpModel = (StpIntermediateModel)res.getContents().get(0);
	IFile imFile = (IFile)context.getVariable("imFile");
	
	System.out.println(" JBPM Generation -> Applying JBPM Preprocessor  ");	
	JBPMJetUtils.initJbpmConfiguration();
	JBPMJetUtils.jbpmPreprocessor(imFile, stpModel);
	context.setVariable("stpModel", stpModel);
	
	List<org.eclipse.stp.im.Process> processesList = stpModel.getProcessCollection().getProcesses();

        out.write(NL);         
        out.write(NL);         
        out.write("\t");  //$NON-NLS-1$        
        out.write(NL);         
	
	
	for ( org.eclipse.stp.im.Process aProcess : processesList){
		
		BasicProperty runtimeId = (BasicProperty) aProcess.getProperties()
				.get(ImConstants.IM_POOL_RUNTIME_ID);
		if (runtimeId == null){
			throw new RuntimeException("Technology is not set on Process ["+aProcess.getName()+"]");
		}
		if ("runtime.jbpm".equals(runtimeId.getValue())) {
		
			context.setVariable("process", aProcess);
			context.setVariable("processVersion", SpagicUtils.getProcessVersion(aProcess));
			context.setVariable("fileName", aProcess.getName()+ "_v_" + SpagicUtils.getProcessVersion(aProcess));
			context.setVariable("processName", aProcess.getName());

        RuntimeTagElement _jettag_ws_folder_68_3 = context.getTagFactory().createRuntimeTag(_jetns_ws, "folder", "ws:folder", _td_ws_folder_68_3); //$NON-NLS-1$ //$NON-NLS-2$
        _jettag_ws_folder_68_3.setRuntimeParent(null);
        _jettag_ws_folder_68_3.setTagInfo(_td_ws_folder_68_3);
        _jettag_ws_folder_68_3.doStart(context, out);
        while (_jettag_ws_folder_68_3.okToProcessBody()) {
            out.write("\t\t\t");  //$NON-NLS-1$        
            RuntimeTagElement _jettag_ws_file_69_4 = context.getTagFactory().createRuntimeTag(_jetns_ws, "file", "ws:file", _td_ws_file_69_4); //$NON-NLS-1$ //$NON-NLS-2$
            _jettag_ws_file_69_4.setRuntimeParent(_jettag_ws_folder_68_3);
            _jettag_ws_file_69_4.setTagInfo(_td_ws_file_69_4);
            _jettag_ws_file_69_4.doStart(context, out);
            _jettag_ws_file_69_4.doEnd();
            out.write(NL);         
            _jettag_ws_folder_68_3.handleBodyContent(out);
        }
        _jettag_ws_folder_68_3.doEnd();

		}
	}

    }
}
