package org.spagic3.im.out.wsdl.utils;

/**
 * Class <code>ErrorCodes</code> Codici di errore (usati principalmente
 * per il log)
 *
 * @author <a href="mailto:saint@eng.it">Gian Uberto Lauri</a>
 * @version $Revision: 1.5 $
 */
public class ErrorCodes {
	/**
	 * <code>JDT_ERROR</code> errore JDT (da Eclipse).
	 *
	 */
	public static final int JDT_ERROR = 1;
	/**
	 * <code>PROPERTY_ERROR</code> errore nelle property.
	 *
	 */
	public static final int PROPERTY_ERROR = 2;
	/**
	 * <code>UNEXPECTED_IO_ERROR</code> I/O error.
	 *
	 */
	public static final int UNEXPECTED_IO_ERROR = 3;
	/**
	 * <code>CORE_ERROR</code> errore CORE (da Eclipse).
	 *
	 */
	public static final int CORE_ERROR = 4;
	/**
	 * <code>THREAD_EXCEPTION</code> errore di Threading.
	 *
	 */
	public static final int THREAD_EXCEPTION = 5;
	/**
	 * <code>WRONG_PRJ</code> progetto non Iride.
	 *
	 */
	public static final int WRONG_PRJ = 6;

}
