package org.spagic3.core.servicedefinitions.extensionprovider;

import java.util.List;
import java.util.Map;

import org.spagic3.service.model.IComboProvider;
import org.w3c.dom.Node;

public interface IServiceDefinition {
	
	public List<Node> getConnectors();
	
	public List<Node> getServices();
	
	public List<Node> getDefinitions();
	
	public List<Node> getComboProviders();

	public List<Node> getDeploySchemas();

	public Map<? extends String, ? extends IComboProvider> getComboProviderFactoryContribution();

}
