package org.spagic3.ui.deploymentservice.helpers;

import org.jbpm.jpdl.xml.Problem;
import org.jbpm.jpdl.xml.ProblemListener;

public class JPDLProblemListener implements ProblemListener {

	private JPDLValidator validator = null;
	
	public JPDLProblemListener(JPDLValidator validator){
		this.validator = validator;
	}
	
	public void addProblem(Problem problem) {
		validator.setErrors(true);
		StringBuffer buff = validator.getErrorMessages();
		buff.append(problem.toString()+"\n");
		
		if (problem.getException() != null){
			buff.append(problem.getException().getMessage()+ "\n");
		}
		validator.setErrorMessages(buff);
	}
	
}
