/**

    Copyright 2007, 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic3.utils.preference;

/**
 * Constant definitions for plug-in preferences
 */
public class SpagicPreferenceConstants {

	public static final String P_SPAGIC_SERVICE_MANAGER_HOST = "localhost";
	public static final String P_SPAGIC_BASE_NAME_SPACE = "P_SPAGIC_BASE_NAME_SPACE";
	
	
	public static final String P_BPEL_SPAGIC_DB_URL = "P_SPAGIC_DB_URL";
	public static final String P_BPEL_SPAGIC_DB_DRIVER = "P_SPAGIC_DB_DRIVER";
	public static final String P_BPEL_SPAGIC_DB_USER = "P_SPAGIC_DB_USER";
	public static final String P_BPEL_SPAGIC_DB_PASSWORD = "P_SPAGIC_DB_PASSWORD";
	public static final String P_BPEL_SPAGIC_DB_HIB_DIALECT = "P_SPAGIC_DB_HIB_DIALECT";
	public static final String P_BPEL_SPAGIC_DB_SHOW_SQL = "P_SPAGIC_SHOW_SQL";
	
	
	public static final String P_SERVICE_REGISTRY = "P_SERVICE_REGISTRY";
	public static final String P_UDDI = "uddi";
	public static final String P_EBXML = "ebXML";
	public static final String P_SERVICE_REGISTRY_INQUIRY_URL = "P_SERVICE_REGISTRY_INQUIRY_URL";
	public static final String P_SERVICE_REGISTRY_PUBLISH_URL = "P_SERVICE_REGISTRY_PUBLISH_URL";
	public static final String P_SERVICE_REGISTRY_USER = "P_SERVICE_REGISTRY_USER";
	public static final String P_SERVICE_REGISTRY_PASSWORD = "P_SERVICE_REGISTRY_PASSWORD";
	public static final String P_SERVICE_REGISTRY_DEFAULT_ORG = "P_SERVICE_REGISTRY_DEFAULT_ORG";
	public static final String P_GRAPH_VIZ_DOT_EXE = "P_GRAPH_VIZ_DOT_EXE";
	public static final String P_GRAPH_VIZ_TEMP_FOLDER = "P_GRAPH_VIZ_TEMP_FOLDER";
	public static final String P_SERVICE_MANAGER_RESOURCE_GET_SERVICE_URL = "P_SERVICE_MANAGER_RESOURCE_GET_SERVICE_URL";
	public static final String P_SERVICE_MANAGER_RESOURCE_DEPLOY_SERVICE_URL = "P_SERVICE_MANAGER_RESOURCE_DEPLOY_SERVICE_URL";
	
	public static final String P_WF_CREATE_VARIABLE_FOR_PROCESS_STATUS = "P_WF_CREATE_VARIABLE_FOR_PROCESS_STATUS";
	public static final String P_WF_PROCESS_STATUS_VARIABLE_NAME = "P_WF_PROCESS_STATUS_VARIABLE_NAME";
	public static final String P_WF_CREATE_VARIABLE_FOR_TASK_STATUS = "P_WF_CREATE_VARIABLE_FOR_TASK_STATUS";
	public static final String P_WF_VARIABLE_FOR_TASK_STATUS_PREFIX = "P_WF_VARIABLE_FOR_TASK_STATUS_PREFIX";
	public static final String P_WF_BIND_VARIABLE_FOR_CONDITION = "P_WF_BIND_VARIABLE_FOR_CONDITION";
	
	
	
	public static final String P_WF_CREATE_VARIABLE_FOR_SUBPROCESS_STATUS = "P_WF_CREATE_VARIABLE_FOR_SUBPROCESS_STATUS";
	public static final String P_WF_VARIABLE_FOR_SUBPROCESS_PREFIX = "P_WF_VARIABLE_FOR_SUBPROCESS_PREFIX";
	
	public static final String P_WF_NAME_SUFFIX_FOR_DECISION_NODE = "P_WF_NAME_SUFFIX_FOR_DECISION_NODE";
	public static final String P_WF_NAME_SUFFIX_FOR_FORK_NODE = "P_WF_NAME_SUFFIX_FOR_FORK_NODE";

	public static final String P_WF_SPAGIC_ORBEON_FORM_RUNNER_URL = "P_SPAGIC_ORBEON_URL";
	public static final String P_WF_SPAGIC_ORBEON_FORM_REPO_URL = "P_SPAGIC_ORBEON_REPO_URL";
	
	public static final String P_FIX_STEP_NAME = "P_FIX_STEP_NAME";
	public static final String P_EXTERNALIZE_SCRIPT = "P_EXTERNALIZE_SCRIPT";
	
	public static final String P_SPAGIC_ODE_URL_DEPLOY = "P_SPAGIC_ODE_URL_DEPLOY";
	public static final String P_SPAGIC_ODE_URL_PROCESS_MANAGEMENT = "P_SPAGIC_ODE_URL_PROCESS_MANAGEMENT";

	// Used by the deployment wizard and the Spagic Embedding Plugin.
	public static String P_DEPLOY_SERVICE_TARGET_DIR = "org.spagic3.ui.deploymentservice.preference.deploy.service.target.dir";
	
	// Used by teh Spagic Embedding Plugin.
	public static String P_EMBEDDED_SERVICE_MANAGER_SOURCE_DIR = "org.spagic3.ui.embed.webapp.preference.service.manager.target.dir";
	public static String P_EXTRA_EMBEDDING_FILES_SOURCE_DIR = "org.spagic3.ui.embed.webapp.preference.embedding.target.dir";

}
